<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="@dimen/content_padding_12"
    android:paddingLeft="12dp"
    android:paddingRight="12dp"
    android:orientation="vertical">

    <View
        android:id="@+id/padding"
        android:layout_width="match_parent"
        android:layout_height="@dimen/content_padding_10" />

    <android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:id="@+id/icon_layout"
            android:layout_width="@dimen/view_size_100"
            android:layout_height="@dimen/view_size_80"
            android:background="@drawable/sp_bg_transparent_radius_transparent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/item_icon_iv"
                android:layout_width="@dimen/view_size_100"
                android:layout_height="@dimen/view_size_80"
                android:src="@drawable/icon_lj" />

            <TextView
                android:id="@+id/end_of_time_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:background="#66FFFFFF"
                android:gravity="center"
                android:lines="1"
                android:visibility="gone" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/icon_layout"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/item_name_tv"
                style="@style/txt_style_15"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="middle"
                android:gravity="start"
                android:singleLine="true"
                android:text="" />

            <TextView
                android:id="@+id/item_num_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/content_padding_2"
                android:text=""
                android:textColor="@color/txt_black_8e8e8e"
                android:textSize="@dimen/text_size_2"
                app:layout_constraintStart_toStartOf="@+id/item_name_tv"
                app:layout_constraintTop_toBottomOf="@+id/item_name_tv" />
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/detail_task_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/detail_task_tv"
                style="@style/style_button_find"
                android:layout_marginTop="@dimen/content_padding_small"
                android:text="取消任务" />

            <TextView
                android:id="@+id/detail_task_tv_down"
                style="@style/style_button_find"
                android:layout_marginTop="@dimen/content_padding_small"
                android:text="取消任务"
                android:visibility="gone" />

        </RelativeLayout>

        <TextView
            android:id="@+id/line_tv"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="@dimen/content_padding_20"
            android:background="@color/white_bg_line"
            app:layout_constraintTop_toBottomOf="@id/icon_layout" />
    </android.support.constraint.ConstraintLayout>
</LinearLayout>